import { pgEnum } from 'drizzle-orm/pg-core';

/**
 * Enum for gender values
 */
export const gender = pgEnum('gender', ['MALE', 'FEMALE', 'NON_BINARY']);

/**
 * Enum for oral ease level values
 */
export const oralEaseLevel = pgEnum('oralEaseLevel', ['SHY', 'RESERVED', 'COMFORTABLE']);

/**
 * Enum for tag types
 */
export const tagType = pgEnum('tagType', ['PROJECT', 'PERSON']);